org.optaplanner.core.config.domain

## Class ScanAnnotatedClassesConfig

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<ScanAnnotatedClassesConfig>
  - - org.optaplanner.core.config.domain.ScanAnnotatedClassesConfig

- Deprecated.
  in favor of the Quarkus integration in OptaPlanner 8 or Spring Boot starter.

      @Deprecated
      public class ScanAnnotatedClassesConfig
      extends AbstractConfig<ScanAnnotatedClassesConfig>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScanAnnotatedClassesConfig()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `SolutionDescriptor` | `buildSolutionDescriptor(SolverConfigContext configContext, ClassLoader classLoader, ScoreDefinition deprecatedScoreDefinition)` Deprecated.
    `ScanAnnotatedClassesConfig` | `copyConfig()` Deprecated. Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
    `List<String>` | `getPackageExcludeList()` Deprecated.
    `List<String>` | `getPackageIncludeList()` Deprecated.
    `ScanAnnotatedClassesConfig` | `inherit(ScanAnnotatedClassesConfig inheritedConfig)` Deprecated. Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).
    `protected List<Class<?>>` | `loadEntityClassList(org.reflections.Reflections reflections)` Deprecated.
    `protected Class<?>` | `loadSolutionClass(org.reflections.Reflections reflections)` Deprecated.
    `void` | `setPackageExcludeList(List<String> packageExcludeList)` Deprecated.
    `void` | `setPackageIncludeList(List<String> packageIncludeList)` Deprecated.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class org.optaplanner.core.config.AbstractConfig

      `deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScanAnnotatedClassesConfig

          public ScanAnnotatedClassesConfig()

      Deprecated.

  - ### Method Detail

    - #### getPackageIncludeList

          public List<String> getPackageIncludeList()

      Deprecated.

    - #### setPackageIncludeList

          public void setPackageIncludeList(List<String> packageIncludeList)

      Deprecated.

    - #### getPackageExcludeList

          public List<String> getPackageExcludeList()

      Deprecated.

    - #### setPackageExcludeList

          public void setPackageExcludeList(List<String> packageExcludeList)

      Deprecated.

    - #### buildSolutionDescriptor

          public SolutionDescriptor buildSolutionDescriptor(SolverConfigContext configContext,
                                                            ClassLoader classLoader,
                                                            ScoreDefinition deprecatedScoreDefinition)

      Deprecated.

    - #### loadSolutionClass

          protected Class<?> loadSolutionClass(org.reflections.Reflections reflections)

      Deprecated.

    - #### loadEntityClassList

          protected List<Class<?>> loadEntityClassList(org.reflections.Reflections reflections)

      Deprecated.

    - #### inherit

          public ScanAnnotatedClassesConfig inherit(ScanAnnotatedClassesConfig inheritedConfig)

      Deprecated.
      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Specified by:
        `inherit` in class `AbstractConfig<ScanAnnotatedClassesConfig>`
      Parameters:
        `inheritedConfig` - never null
      Returns:
        this

    - #### copyConfig

          public ScanAnnotatedClassesConfig copyConfig()

      Deprecated.
      Description copied from class: `AbstractConfig`
      Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
      Specified by:
        `copyConfig` in class `AbstractConfig<ScanAnnotatedClassesConfig>`
      Returns:
        new instance

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `AbstractConfig<ScanAnnotatedClassesConfig>`

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.